Subject: [os2genau_digest] No. 543
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Wed, 5 Feb 2003 00:02:06 EST-10EDT,10,-1,0,7200,3,-1,0,7200,3600

**************************************************
Tuesday 04 February 2003
 Number  543
**************************************************

Subjects for today
 
1  Re: [os2genau] Netbios problems : Ian Manners" <deadmail>
2  Re: [os2genau] Netbios problems : Paul Smedley" <paul at smedley.info>
3  Re: [os2genau] Netbios problems : Paul Smedley" <paul at smedley.info>

**= Email   1 ==========================**

Date:  Tue, 04 Feb 2003 00:30:38 +1100 (EDT)
From:  "Ian Manners" <deadmail>
Subject:  Re: [os2genau] Netbios problems

Hi Paul

>Both machines have RTL8139 based NICs running Veit's driver.  I'm pretty certain the 
>problem started after I upgraded the server from a K6-2 based system to an Athlon XP 
>1800 system.

Did you do a full install, or just move the HD ?

>What happens is that on MOST writes that the client does to a shared drive, the written 
>file is corrupted and has many errors when a COMP is done.

I've had this happen to me before with an Intel card, updating the
drivers fixed it, in your case, I would backdate the drivers then check
again. It might also be timing related so put the NIC in a different
slot, I've also noticed they dont like sharing interupts with SCSI
cards, even if you dont have a SCSI card installed, try to find out
what is using what IRQ's. And, even though PCI is suppost to be
happy to share IRQ's, its not always a happy marriage in the
real world.

>Transferring files via FTP results in 100% of files being OK - it's just Netbios transfers.

This sound just like the Intel card problem I had a few years ago.

>Was thinking about changing protocol to TCPBEUI just to see if it would make any 
>difference.

Oooo no, totally agree with Daryl.

Cheers
Ian B Manners
http://www.os2site dot com/

A man attempting to walk around the world, drowned today.
----------------------------------------------------------------------------------

**= Email   2 ==========================**

Date:  Tue, 04 Feb 2003 07:24:36 +1050 (CDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re: [os2genau] Netbios problems

Hiya Daryl,

On Mon, 03 Feb 2003 23:10:31 +1100 (EDT), Daryl Pilkington wrote:
>I'd suggest trying with another brand NIC.
>The RealTek NICs really are cheap & nasty. Could be some compatability
>issue with the AMD chip & Realtek.
Well I'm trying to avoid spending more $$$ :) Will try tonight swapping NICs between 
the PCs to see if the problem moves or remains.

>DON'T run TCPBEUI, that'll open up another packet of worms.
Well I'm behind an ADSL router so I'm not concerned about security and TCPBEUI :)

Was also thinking about removing the router and putting a X-over cable between the 
two PCs just to try and eliminate the router as being a possible cause.

Regards,

Paul.

----------------------------------------------------------------------------------

**= Email   3 ==========================**

Date:  Tue, 04 Feb 2003 07:26:58 +1050 (CDT)
From:  "Paul Smedley" <paul at smedley.info>
Subject:  Re: [os2genau] Netbios problems

Hiya Ian,

On Tue, 04 Feb 2003 00:30:38 +1100 (EDT), Ian Manners wrote:
>>Both machines have RTL8139 based NICs running Veit's driver.  I'm pretty certain 
the 
>>problem started after I upgraded the server from a K6-2 based system to an Athlon 
XP 
>>1800 system.
>
>Did you do a full install, or just move the HD ?
Just moved the HD.

>>What happens is that on MOST writes that the client does to a shared drive, the 
written 
>>file is corrupted and has many errors when a COMP is done.
>
>I've had this happen to me before with an Intel card, updating the
>drivers fixed it, in your case, I would backdate the drivers then check
>again. It might also be timing related so put the NIC in a different
>slot, I've also noticed they dont like sharing interupts with SCSI
>cards, even if you dont have a SCSI card installed, try to find out
>what is using what IRQ's. And, even though PCI is suppost to be
>happy to share IRQ's, its not always a happy marriage in the
>real world.
Originally, the NIC, SCSI card & Via sound support were all using IRQ11 according to 
Resource Manager.  I changed the NIC to IRQ10 using the parameter in Veit's driver 
and it made no difference.  Will try moving the NIC to a different slot tonight.  I was using 
the August build of Veit's driver - updated to January 2003 and made no difference...

Regards,

Paul.

----------------------------------------------------------------------------------